{% extends 'base1.html' %}
{% load static %}

{% block title %}Pemesanan{% endblock title %}

{% block custom_css %}
<style>
  body{
    background-color: #F6E3D4;
  }
</style>
{% endblock custom_css %}

{% block content %}

<div class="container">
  {% if user.is_authenticated %}
    <div class="py-5 text-center">
      <img class="d-block mx-auto mb-4" src="https://image.flaticon.com/icons/svg/130/130278.svg" alt="" width="72" height="72">
      <h1>FORM PEMESANAN</h1>
      <form method="POST" action="{% url 'pemesanan:add_pemesanan' %}">
        {% csrf_token %}
    </div>
    <div class="row">
      <div class="col-md-8 order-md-1">
        <h4 class="mb-3">STOP 1 : Select Your Preferred Time and Location</h4>
  </div>
  </div>
        <div class="mb-3">
            <label for="pickuptime">Pick Up Date and Time <span class="text-muted">(Required)</span></label>
            <input type="datetime-local" name="pickuptime" class="form-control" required="" id="pickuptime">
            <div class="invalid-feedback">
              Please enter a valid pick up date and time.
            </div>
          </div>
        <div class="mb-3">
            <label for="returningtime">Returning Date And Time <span class="text-muted">(Required)</span></label>
            <input type="datetime-local" name="returningtime" class="form-control" required="" id="returningtime">
            <div class="invalid-feedback">
              Please enter a valid returning date and time.
            </div>
          </div>
  
          <div class="mb-3">
            <label for="locationpickup">Pick Up Location <span class="text-muted">(Required)</span></label>
            <input name = "locationpickup" type="text" class="form-control" id="locationpickup" placeholder="Johar Baru, Jakarta Pusat">
            <div class="invalid-feedback">
              Please enter a valid pick up location address.
            </div>
          </div>
  
          <div class="mb-3">
            <label for="locationreturn">Location Of Return<span class="text-muted">(Required)</span></label>
            <input name = "locationreturn" type="text" class="form-control" id="locationreturn" placeholder="Johar Baru, Jakarta Pusat" required="">
            <div class="invalid-feedback">
              Please enter a valid return location address.
            </div>
          </div>
  <div class="row">
      <div class="col-md-8 order-md-1">
        <h4 class="mb-3">STOP 2 : Enter Your Details</h4>
          <div class="mb-3">
            <label for="name">Enter Your Name <span class="text-muted">(Required)</span></label>
            <input name = "name" type="name" class="form-control" id="name" placeholder="Clair Jensen">
            <div class="invalid-feedback">
              Please enter a name.
            </div>
          </div>
          <div class="mb-3">
            <label for="phonenumber">Enter Your Phone Number <span class="text-muted">(Required)</span></label>
            <input name = "phonenumber" type="phonenumber" class="form-control" id="phonenumber" placeholder="08123456789">
            <div class="invalid-feedback">
              Please enter a valid phone number.
            </div>
          </div>
          <div class="mb-3">
            <label for="email">Email <span class="text-muted">(Required)</span></label>
            <input name = "email" type="email" class="form-control" id="email" placeholder="you@gmail.com">
            <div class="invalid-feedback">
              Please enter a valid email address.
            </div>
          </div>
  
          <div class="mb-3">
            <label for="additionalinfo">Additional Information<span class="text-muted">(Required)</span></label>
            <input name = "additionalinfo" type="text" class="form-control" id="additionalinfo" placeholder="I will use this motor alone / with #" required="">
            <div class="invalid-feedback">
              Please enter a valid information.
            </div>
          </div>
        <div class="row">
      <div class="col-md-8 order-md-1">
        <h4 class="mb-3">STOP 3 : Choose Your Ride</h4>
          <div class="mb-3">
            <label for="name">Choose Kategori <span class="text-muted">(Required)</span></label>
            <select name="kategori"  class="form-control" id="kategori">
              <option value="a">Matic</option>
              <option value="b">Manual</option>
            </select>
          </div>
          <div class="mb-3">
            <label for="rides">Choose your ride <span class="text-muted">(Required)</span></label>
            <select name = "rides" class="form-control" id="rides">
              {% for ride in rides %}
              <option value="{{ride.motorcycle_type}}"
                      >{{ride.motorcycle_type}}
              </option>
              {% endfor %}
            </select>
          </div>
        <h1 class="lead">
        </h1>
        <button type="submit">
            <h1 class="btn btn-lg">Order Now</h1>
        </button>
      </div>
        </div>
      </div>
  </div>
</div>

        {% else %}
        <h1>You must log in to fill this form!</h1>
        {% endif %}
          
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="/docs/4.3/assets/js/vendor/jquery-slim.min.js"><\/script>')</script><script src="/docs/4.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o" crossorigin="anonymous"></script>
          <script src="form-validation.js"></script>
        <script>
        function getCookie(name) {
    var cookieValue = null;
    if (document.cookie && document.cookie !== '') {
        var cookies = document.cookie.split(';');
        for (var i = 0; i < cookies.length; i++) {
            var cookie = cookies[i].trim();
            // Does this cookie string begin with the name we want?
            if (cookie.substring(0, name.length + 1) === (name + '=')) {
                cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                break;
            }
        }
    }
    return cookieValue;
}
var csrftoken = getCookie('csrftoken');
$(function() {
    $('#kategori').change(function() {
    console.log('a')
        $.ajax({
            headers: { "X-CSRFToken": csrftoken },
            url: '/pemesanan/api/rides/' ,
            dataType: 'json',
            type: 'POST',
            data: {kategori : $('#kategori').val()},
            success: function(data) {
                console.log('masuk')
                $('#rides').empty(); // clear the current elements in select box
                for (row in data) {
                    console.log(data[row])
                    $('#rides').append($('<option></option>').attr('value', data[row].fields.motorcycle_type).text(data[row].fields.motorcycle_type));
                }
            },
            error: function(jqXHR, textStatus, errorThrown) {
                alert(errorThrown);
            }
        });
    });
});
</script>
{% endblock content %}